org.eclipse.viatra.query.tooling.generator.model.generatorModel

## Interface GeneratorModelReference

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier
  All Known Implementing Classes:
    GeneratorModelReferenceImpl

      public interface GeneratorModelReference
      extends org.eclipse.emf.ecore.EObject

  A representation of the model object 'Reference'.

  The following features are supported:

  - `Genmodel`
  See Also:
    `GeneratorModelPackage.getGeneratorModelReference()`
  Generated:
  Model:

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.eclipse.emf.codegen.ecore.genmodel.GenModel` | `getGenmodel()` Returns the value of the 'Genmodel' reference.
    `void` | `setGenmodel(org.eclipse.emf.codegen.ecore.genmodel.GenModel value)` Sets the value of the '`Genmodel`' reference.

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getGenmodel

          org.eclipse.emf.codegen.ecore.genmodel.GenModel getGenmodel()

      Returns the value of the 'Genmodel' reference.

      If the meaning of the 'Genmodel' reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Genmodel' reference.
      See Also:
        `setGenmodel(GenModel)`, `GeneratorModelPackage.getGeneratorModelReference_Genmodel()`
      Generated:
      Model:

    - #### setGenmodel

          void setGenmodel(org.eclipse.emf.codegen.ecore.genmodel.GenModel value)

      Sets the value of the '`Genmodel`' reference.
      Parameters:
        `value` - the new value of the 'Genmodel' reference.
      See Also:
        `getGenmodel()`
      Generated: